Package org.zkoss.util

## Class Maps.SerializableEntry<K,​V>

- java.lang.Object
- - org.zkoss.util.Maps.SerializableEntry<K,​V>

- All Implemented Interfaces:
    `java.io.Serializable`, `java.util.Map.Entry<K,​V>`
  Enclosing class:
    Maps

      public static class Maps.SerializableEntry<K,​V>
      extends java.lang.Object
      implements java.util.Map.Entry<K,​V>, java.io.Serializable

  A serializable implement of Map.Entry
  Since:
    8.0.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SerializableEntry​(java.util.Map.Entry<K,​V> entry)` |
    `SerializableEntry​(K key, V val)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `K` | `getKey()` |
    `V` | `getValue()` |
    `int` | `hashCode()` |
    `V` | `setValue​(V value)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SerializableEntry

          public SerializableEntry​(K key,
                                   V val)

    - #### SerializableEntry

          public SerializableEntry​(java.util.Map.Entry<K,​V> entry)

  - ### Method Detail

    - #### getKey

          public K getKey()

      Specified by:
        `getKey` in interface `java.util.Map.Entry<K,​V>`

    - #### getValue

          public V getValue()

      Specified by:
        `getValue` in interface `java.util.Map.Entry<K,​V>`

    - #### setValue

          public V setValue​(V value)

      Specified by:
        `setValue` in interface `java.util.Map.Entry<K,​V>`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Specified by:
        `equals` in interface `java.util.Map.Entry<K,​V>`
      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `java.util.Map.Entry<K,​V>`
      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`